Der Inhalt der Anfrage. Kann verwendet werden, um den Lizenz
Anfragetext zu ändern.
headers
Objekt
Ein Objekt mit Properties, die Sie im
Header senden möchten.
shakaRequestContext
nullable Object
Definiert Kontextdaten zu einer Anfrage, direkt basierend auf:
https://shaka-player-demo.appspot.com/docs/api/shaka.extern.html#.RequestContext.
shakaRequestInfo
nullable Object
Shaka-spezifische Anfrageinformationen, direkt basierend auf:
https://shaka-player-demo.appspot.com/docs/api/shaka.extern.html#.Request.
timeoutInterval
nullable number
Das Zeitlimit für Netzwerkanfragen in Millisekunden.
URL
nullable string
Die angeforderte URL.
withCredentials
boolean
Wenn auf true gesetzt, gibt dies an, dass CORS-Access-Control
Anfragen mit Anmeldedaten wie Cookies oder
Autorisierungsheadern gestellt werden sollten.
[[["Leicht verständlich","easyToUnderstand","thumb-up"],["Mein Problem wurde gelöst","solvedMyProblem","thumb-up"],["Sonstiges","otherUp","thumb-up"]],[["Benötigte Informationen nicht gefunden","missingTheInformationINeed","thumb-down"],["Zu umständlich/zu viele Schritte","tooComplicatedTooManySteps","thumb-down"],["Nicht mehr aktuell","outOfDate","thumb-down"],["Problem mit der Übersetzung","translationIssue","thumb-down"],["Problem mit Beispielen/Code","samplesCodeIssue","thumb-down"],["Sonstiges","otherDown","thumb-down"]],["Zuletzt aktualisiert: 2026-04-06 (UTC)."],[],["The `NetworkRequestInfo` class provides details about an HTTP(s) request. Key properties include `content` (request body, modifiable as a Uint8Array), `headers` (custom header object), `timeoutInterval` (request timeout in milliseconds), and `url` (the requested URL). Additionally, `withCredentials` determines if credentials like cookies or authorization headers should be used in CORS requests, with a boolean value. This helps to manage network information of a cast framework request.\n"]]